BarcodeFormat (ZXing 3.4.0 API)

com.google.zxing

## Enum BarcodeFormat

- java.lang.Object
- - java.lang.Enum<BarcodeFormat>
  - - com.google.zxing.BarcodeFormat

- All Implemented Interfaces:
    Serializable, Comparable<BarcodeFormat>

      public enum BarcodeFormat
      extends Enum<BarcodeFormat>

  Enumerates barcode formats known to this package. Please keep alphabetized.
  Author:
    Sean Owen

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AZTEC` Aztec 2D barcode format.
    `CODABAR` CODABAR 1D format.
    `CODE_128` Code 128 1D format.
    `CODE_39` Code 39 1D format.
    `CODE_93` Code 93 1D format.
    `DATA_MATRIX` Data Matrix 2D barcode format.
    `EAN_13` EAN-13 1D format.
    `EAN_8` EAN-8 1D format.
    `ITF` ITF (Interleaved Two of Five) 1D format.
    `MAXICODE` MaxiCode 2D barcode format.
    `PDF_417` PDF417 format.
    `QR_CODE` QR Code 2D barcode format.
    `RSS_14` RSS 14
    `RSS_EXPANDED` RSS EXPANDED
    `UPC_A` UPC-A 1D format.
    `UPC_E` UPC-E 1D format.
    `UPC_EAN_EXTENSION` UPC/EAN extension format.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static BarcodeFormat` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static BarcodeFormat[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### AZTEC

          public static final BarcodeFormat AZTEC

      Aztec 2D barcode format.

    - #### CODABAR

          public static final BarcodeFormat CODABAR

      CODABAR 1D format.

    - #### CODE_39

          public static final BarcodeFormat CODE_39

      Code 39 1D format.

    - #### CODE_93

          public static final BarcodeFormat CODE_93

      Code 93 1D format.

    - #### CODE_128

          public static final BarcodeFormat CODE_128

      Code 128 1D format.

    - #### DATA_MATRIX

          public static final BarcodeFormat DATA_MATRIX

      Data Matrix 2D barcode format.

    - #### EAN_8

          public static final BarcodeFormat EAN_8

      EAN-8 1D format.

    - #### EAN_13

          public static final BarcodeFormat EAN_13

      EAN-13 1D format.

    - #### ITF

          public static final BarcodeFormat ITF

      ITF (Interleaved Two of Five) 1D format.

    - #### MAXICODE

          public static final BarcodeFormat MAXICODE

      MaxiCode 2D barcode format.

    - #### PDF_417

          public static final BarcodeFormat PDF_417

      PDF417 format.

    - #### QR_CODE

          public static final BarcodeFormat QR_CODE

      QR Code 2D barcode format.

    - #### RSS_14

          public static final BarcodeFormat RSS_14

      RSS 14

    - #### RSS_EXPANDED

          public static final BarcodeFormat RSS_EXPANDED

      RSS EXPANDED

    - #### UPC_A

          public static final BarcodeFormat UPC_A

      UPC-A 1D format.

    - #### UPC_E

          public static final BarcodeFormat UPC_E

      UPC-E 1D format.

    - #### UPC_EAN_EXTENSION

          public static final BarcodeFormat UPC_EAN_EXTENSION

      UPC/EAN extension format. Not a stand-alone format.

  - ### Method Detail

    - #### values

          public static BarcodeFormat[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (BarcodeFormat c : BarcodeFormat.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static BarcodeFormat valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2007–2019. All rights reserved.